libqapt (3.0.5-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + kde-thumbnailer-deb: Add Multi-Arch: same.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 2.8.12).
    + Build-Depends: Drop versioned constraint on extra-cmake-modules (>=
      0.0.14).
    + Build-Depends: Drop versioned constraint on libapt-pkg-dev (>= 0.8.0).
    + Build-Depends: Drop versioned constraint on libdebconf-kde-dev (>= 1.0.0).
    + Build-Depends: Drop versioned constraint on libkf5auth-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5coreaddons-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5i18n-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5iconthemes-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5kio-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5runner-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5textwidgets-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5widgetsaddons-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5windowsystem-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libpolkit-qt5-1-dev (>=
      0.112).
    + Build-Depends: Drop versioned constraint on pkg-kde-tools (>> 0.15.15).
    + Build-Depends: Drop versioned constraint on qtbase5-dev (>= 5.8.0).
    + libqapt-dev: Drop versioned constraint on qtbase5-dev (>= 5.2.0) in
      Depends.
    + gstreamer-qapt: Drop conflict with removed package gstreamer0.10-qapt (<<
      3~) in Replaces.
    + gstreamer-qapt: Drop conflict with removed package gstreamer0.10-qapt (<<
      3~) in Breaks.

  [ Arun Kumar Pariyar ]
  * Add a patch to fix FTBFS by using C++17 (closes: #1089202).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Dec 2024 01:15:06 +0300

libqapt (3.0.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Remove listed license files (cmake/modules/COPYING-CMAKE-SCRIPTS) from
    copyright.
  * Bump watch file to v4, no changes required.
  * Switch Homepage & Source to the current upstream repository.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Drop the migration from qapt-dbg, no more needed after two Debian stable
    releases.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Add #include's needed with newer versions of GCC; patch
    missing-includes.diff.
  * Update lintian overrides.
  * Update Maintainer to the canonical form.
  * CI: disable reprotest path variations for now.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jul 2022 07:37:06 +0200

libqapt (3.0.5-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Drop the transitional package gstreamer0.10-qapt (Closes: 940751)

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.8.0
    - explicitly add gettext
  * Update the patches:
    - 0001-Fix-Package-supportedUntil-never-getting-the-date.patch: drop,
      backported from upstream
    - apt-1.9.0.patch: drop, fixed upstream
    - apt-1.9.11.patch: drop, fixed upstream
  * Update Vcs-* fields.
  * Add the configuration for the CI on salsa.
  * Update symbols file.
  * Remove the commented 'testsuite' autopkgtest.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update watch file.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Apr 2020 10:08:09 +0200

libqapt (3.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * apt 2.0 porting (Closes: #953308)
    - Port to APT 1.9.0
    - Import earlier upstream commit that fixes supportedUntil and happens
      to fix some more apt 1.9 related failures.
    -  Adapt to apt 1.9.11.

 -- Julian Andres Klode <jak@debian.org>  Sun, 08 Mar 2020 15:33:23 +0100

libqapt (3.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Bump Standards-Version to 4.1.4, no changes required.
  * Switch from dh_install to dh_missing for --fail-missing.
  * Update install files.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Apr 2018 05:57:29 +0200

libqapt (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Bump Priority of transitional gstreamer0.10-qapt to optional.
  * Switch libqapt3 to section libs.
  * Update symbols file.
  * Switch the transitional plasma-framework-dev build dependency to
    libkf5plasma-dev.
  * Use also the dh pkgkde_symbolshelper addon to handle symbols file with
    substitutions.
  * Update lintian overrides.
  * Use https in the watch file.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Dec 2017 13:58:04 +0100

libqapt (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Change the priority of the transitional gstreamer0.10-qapt to extra.
  * Mark libqapt3 and libqapt-dev as "Multi-Arch: same".
  * Remove debian/TODO, obsolete now.
  * Fix path to qapt-gst-helper passed to update-alternatives in postinst
    and prerm of gstreamer-qapt.
  * Replace the deprecated kio-dev build dependency with libkf5kio-dev.
  * Remove unused meta/upstream_scm.json file.
  * Remove qapt-dbg in favour of the -dbgsym packages.
  * Update the patches:
    - upstream_include-random-for-std-default_random_engine.patch: drop,
      backported from upstream
  * Switch Homepage to the upstream VCS, since projects.kde.org is dead.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 10:14:59 +0200

libqapt (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* fields.
  * Small update to copyright.
  * Update symbols file.
  * Backport upstream commit a58eab74ee9881d10e0f24a3ed216ed71ba03bf5 to fix
    build; patch upstream_include-random-for-std-default_random_engine.patch.
    (Closes: #822497)
  * Link in as-needed mode.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2016 17:05:58 +0200

libqapt (3.0.1-1) unstable; urgency=medium

  * New upstream release (3.0.1).
  * Drop upstream applied patches.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 26 Sep 2015 08:13:16 +0200

libqapt (3.0.0-6) unstable; urgency=medium

  * Add support for APT 1.1. (Closes: #798705) Thanks to Julian Andres Klode

 -- Maximiliano Curia <maxy@debian.org>  Mon, 14 Sep 2015 02:27:41 +0200

libqapt (3.0.0-5) unstable; urgency=medium

  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 22:17:00 +0200

libqapt (3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Add gstreamer-qapt Breaks/Replaces for gstreamer1.0-qapt (Closes: #791833)
    again, Thanks to Andreas Beckman for the corrected solution

 -- Scott Kitterman <scott@kitterman.com>  Thu, 23 Jul 2015 16:40:44 -0400

libqapt (3.0.0-3) unstable; urgency=medium

  * Update copyright information.
  * Add Breaks/Replaces for gstreamer0.10-qapt. (Closes: #791833) Thanks to
    Andreas Beckman.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Jul 2015 09:43:39 +0200

libqapt (3.0.0-2) unstable; urgency=medium

  [ Debian/Kubuntu KDE Extras Team ]
  * Prepare release to unstable.

  [ Maximiliano Curia ]
  * New patch: add_kf5iconthemes

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 11:54:53 +0200

libqapt (3.0.0-1) experimental; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update watch file.
  * Build depend on pkg-kde-tools to (>> 0.15.15) so we make sure we are
    building against a pkg-kde-tools which provides the kde frameworks
    module.
  * Drop freeze_with_apt-listbugs_and_apt-listchanges.diff, applied upstream.
  * In libqapt-runtime add Breaks/Replaces against libdebconf-kde0 (<< 0.3~)
    because the patch freeze_with_apt-listbugs_and_apt-listchanges.diff in this
    package and apt-listbugs hang debconf-kde because some debconf commands were
    not implemented in debconf-kde.
  * Don't call git-import-orig in debian/watch, it doesn't work properly with
    branches, for instance if you have an 'experimental' branch with the latest
    version of the software it will commit to the master branch anyway.

  [ Maximiliano Curia ]
  * Prepare experimental version.
  * Add myself as Uploader.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Remove patch: remove_tests.diff
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Feb 2015 09:28:30 +0100

libqapt (3.0.0-0ubuntu2) vivid; urgency=medium

  * Add build-dep on qttools5-dev-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Jan 2015 13:15:44 +0100

libqapt (3.0.0-0ubuntu1) vivid; urgency=medium

  * Initial upload for qapt3

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Jan 2015 12:13:04 +0100

qapt (2.2.0-1) experimental; urgency=low

  [ Sune Vuorela ]
  * Add me to uploaders
  * Remove Jose Manuel Santamaria Lema from uploaders.
  * Remove the unused DMUA-field.

  [ Floris-Andrei Stoica-Marcu ]
  * New Upstream Release
  * Updated package structure, now it is unmerged
  * Bumped up version of libqapt-runtime
  * Added new symbol file for qapt-dbg
  * Disabled tests that broke build
  * Updated dependencies

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Sep 2014 14:19:55 +0200

libqapt (2.2.0+qt5+20140826-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Aug 2014 15:08:16 +0200

libqapt (2.1.70+qt5+20140731.1) utopic; urgency=medium

  * Git qt5 snapshot

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 24 Jul 2014 14:52:03 +0200

libqapt (2.1.70-0ubuntu6) utopic; urgency=medium

  * Rename gstreamer0.10-qapt to gstreamer-qapt
    + The codec-installer in theory supports both 0.10 and 1.x (at least 1.x)
    + The alternative system provided does not handle gstreamer plugin API
      versions at all, there is only one gstreamer-codec-installer and that one
      is used everywhere, so the API versin based name doesn't make sense
      to begin with.
    + A transitional package gstreamer0.10-qapt was added
    + The new gstreamer-qapt package replaces and conflicts the older
      gstreamer0.10-qapt versions
    + Renamed .install, postinst, prerm accordingly
    + Removed crap comments from maintainer scripts
    LP: #1313066

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 28 Apr 2014 12:11:00 +0200

libqapt (2.1.70-0ubuntu5) utopic; urgency=medium

  * Add upstream_Prevent-crashes-on-source-entries-that-contain-a-lin.patch
    from upstream git to resolve a crash when parsing source entries
    denoting a comment but not actually containing anything other than hash
    chracters.
    LP: #1312043
    (this commit is not part of upstream's 2.2.0 tarball and therefore is not
     imported as part of the upstream_git patch set)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 24 Apr 2014 10:33:17 +0200

libqapt (2.1.70-0ubuntu4) trusty; urgency=medium

  * Import upstream commits 11 to 12
    + This possibly makes the qapt gst helper work with gstreamer 0.10 requets
      by doing a more explicit version match to prevent 1.0 packages from
      being considered as candiates for 0.10 codec requests.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 13:48:14 +0200

libqapt (2.1.70-0ubuntu3) trusty; urgency=medium

  * Import upstream commits 07 to 10 (LP: #1298380)
    + These commits include fixes to the qapt-gstreamer installer that port
      it to gstreamer1.0 native API for 14.04
    + Also fixes return values of the gstreamer installer to enable auto
      cache reloading to enable playback without restart
  * Adjust dependencies for gstreamer1.0 native port
    - removed: libqtgstreamer-dev
    - added: libgstreamer1.0-dev, libglib2.0-dev,
             libgstreamer-plugins-base1.0-dev

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 07 Apr 2014 11:57:20 +0200

libqapt (2.1.70-0ubuntu2) trusty; urgency=medium

  * Import upstream commits since release, resolving bugs in sourcelists
    handling as well as debfile handling.
    + All in sub directory upstream_git/ (git format-patch export)

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 18 Mar 2014 17:21:20 +0100

libqapt (2.1.70-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Rename source to libqapt to match upstream
  * Add kubuntu_disable-tests.diff, tests do not currently compile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Feb 2014 21:12:09 +0000

qapt (2.0.65-0ubuntu1) saucy; urgency=low

  * New upstream alpha release:
    - Update libqapt-dev.install for new files
    - Update libqapt2.symbols for new symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 25 Jun 2013 10:43:56 -0400

qapt (2.0.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 May 2013 10:48:09 -0400

qapt (2.0.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Apr 2013 16:33:02 -0400

qapt (1.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 12 Mar 2013 21:36:52 -0400

qapt (1.9.95-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 10 Mar 2013 12:36:03 -0400

qapt (1.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release:
    - Update libqapt2.symbols
  * Bump Standards-Version to 3.9.4

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 Jan 2013 13:26:47 -0500

qapt (1.9.65-0ubuntu1) raring; urgency=low

  * New upstream alpha release:
    - Update .symbols file
    - Adapt to header changes in libqapt-dev.install

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 06 Dec 2012 14:36:37 -0500

qapt (1.9.60-0ubuntu3) raring; urgency=low

  * Add fix_qapt_batch.diff from git master to fix broken install/remove
    capabilities for qapt-batch. (LP: #1086047)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 03 Dec 2012 12:26:30 -0500

qapt (1.9.60-0ubuntu2) raring-proposed; urgency=low

  * Move Depends of binary packages from libqapt-runtime to libqapt2-runtime

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 31 Oct 2012 12:57:09 -0400

qapt (1.9.60-0ubuntu1) raring-proposed; urgency=low

  * New upstream release:
    - Remove kubuntu_fix_proxy_crash.diff, merged upstream
    - Rename libqapt1 to libqapt2 for .so version bump
    - Rename libqapt-runtime to libqapt2-runtime for co-installability with
      QApt 1.x (The appropriate files in libqapt-runtime have been renamed
      upstream for coinstallability)
    - Update the symbols file for 2.x.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 29 Oct 2012 14:40:48 -0400

qapt (1.4.1-0ubuntu2) quantal; urgency=low

  * Add kubuntu_fix_proxy_crash.diff from upstream 1.4 branch to fix a crash
    that can occur with certain KDE proxy configurations.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 03 Oct 2012 19:19:31 -0400

qapt (1.4.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 29 Sep 2012 14:34:43 -0400

qapt (1.4.0-1) experimental; urgency=low

  * New upstream release.
  * Remove upstream_directly-include-declaration-of-MD5Summation.patch, applied
    upstream.
  * Add freeze_with_apt-listbugs_and_apt-listchanges.diff.
  * Sync debian/copyright file with Ubuntu, fixes a lintian warning.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Sep 2012 22:42:03 +0200

qapt (1.4.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 15 Aug 2012 21:24:54 -0400

qapt (1.3.95-0ubuntu1) quantal; urgency=low

  * New upstream release candidate (LP: #1021966)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 15 Jul 2012 13:02:13 -0400

qapt (1.3.80-0ubuntu2) quantal-proposed; urgency=low

  * No-change rebuild against libapt-inst1.5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Jun 2012 08:54:50 -0700

qapt (1.3.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release:
    - Update libqapt1.symbols
  * Fix duplicate Copyright: field, lines 8, 32 of debian/copyright

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 10 Jun 2012 16:00:19 -0400

qapt (1.3.65-0ubuntu1) quantal; urgency=low

  * New upstream alpha release:
    - Drop cherry-picked patches from the 1.3 branch
    - Update libqapt1.symbols
  * Merge with Debian, remaining changes:
    - Keep dependency on a polkit frontend for libqapt-runtime
    - Keep cherry-picked patches from the 1.3 branch

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 13 May 2012 12:17:00 -0400

qapt (1.3.0-2) unstable; urgency=low

  * Team upload.
  * Backport the upstream commit 4053dc46969b56084fb72c24ae062187134cd39a
    (patch upstream_directly-include-declaration-of-MD5Summation.patch) to fix
    the build with libapt-pkg 0.9; thanks to David Kalnischkies for the patch!
    (Closes: #669098)

 -- Pino Toscano <pino@debian.org>  Fri, 11 May 2012 15:43:13 +0200

qapt (1.3.1-0ubuntu2) precise; urgency=low

  * Cherry-pick several patches from the 1.3 branch: (LP: #976159)
    - Add fix_misreported_marking_errors.diff to stop marking errors being
      reported as lock errors.
    - Add fix_worker_upgrade_marking.diff, which uses a more conservative
      problem resolution method to fix marking issues that occur while
      marking single packages for upgrade, as well as fixes an issue where
      the worker would not clear errors caused by marking issues that had
      been fixed manually.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Apr 2012 19:48:44 -0400

qapt (1.3.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release
  * Bump debhelper compat to 9

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 01 Apr 2012 12:24:05 -0400

qapt (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the symbols file (Xilin Sun). Closes: #746894, #746263.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 12:39:10 +0200

qapt (1.3.0-1) unstable; urgency=low

  [ Kai Wasserbäch ]
  * New upstream release (release to unstable (Closes: #662926)).
  * debian/gbp.conf: Added to ensure pristine-tar usage and signed tags.
  * debian/watch: use git-import-orig.
  * debian/control:
    - Added Vcs-{Git,Browser} fields.
    - Bumped Standards-Version to 3.9.3.1, no further changes needed.
    - Bumped B-D on dh to >= 9.
  * debian/rules:
    - Remove override for dh_strip, not needed.
    - Added .PHONY line.
  * debian/patches/Fix-FTBFS-due-to-symbol-collision.patch: Deleted, merged
    upstream.
  * debian/TODO: Added, mentioning multi-arch progress.
  * debian/source.lintian-overrides: Deleted, no longer needed.
  * debian/libqapt-dev.install: Added new changelog.h and its wrapper.
  * debian/libqapt1.symbols: Updated.

  [ Pino Toscano ]
  * Drop patch Fix-spelling-errors.patch, which breaks translations.

 -- Kai Wasserbäch <curan@debian.org>  Sun, 18 Mar 2012 20:19:33 +0100

qapt (1.3.0-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #883604, #941536)
  * Bump Standards-Version to 3.9.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 03 Mar 2012 21:45:45 -0500

qapt (1.2.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate (LP: #840306)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 29 Jan 2012 10:39:17 -0500

qapt (1.2.80-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 21 Dec 2011 20:40:52 -0500

qapt (1.2.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release (Closes: #635380)

  [ Kai Wasserbäch ]
  * debian/watch: Added.
  * debian/control:
    - Added myself to Uploaders.
    - Bumped B-D on debhelper for automatic environmet variables.
    - Allow José direct uploads (DM-Upload-Allowed).
  * debian/source.lintian-overrides: Added (temp. only).
  * debian/source/{local-,}options: Added.
  * debian/copyright: Added myself.
  * debian/patches/Fix-FTBFS-due-to-symbol-collision.patch: Added.

 -- Kai Wasserbäch <curan@debian.org>  Wed, 14 Dec 2011 15:49:14 +0100

qapt (1.2.65-0ubuntu1) precise; urgency=low

  * New upstream alpha release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 13 Nov 2011 19:20:50 -0500

qapt (1.2.2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 23 Oct 2011 15:18:46 -0400

qapt (1.2.1-0ubuntu2) oneiric; urgency=low

  * Add changes not present in the previous upload due to me not re-source-
    building after making them... Fixes FTBFS.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 19 Sep 2011 00:01:31 -0400

qapt (1.2.1-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release: (LP: #830786, 847748, 839411)
    - Update libqapt1.install
    - Update libqapt1.symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 18 Sep 2011 12:48:47 -0400

qapt (1.2.0-0ubuntu3) oneiric; urgency=low

  * Fix the qtgstreamer build-dep. The natty build-dep accidentally snuck in.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 26 Aug 2011 17:38:51 -0400

qapt (1.2.0-0ubuntu2) oneiric; urgency=low

  * Add an or dependency between polkit-kde-1 and policykit-1-gnome to ensure
    we have a policykit frontend installed. (LP: #833058)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Aug 2011 21:40:33 -0400

qapt (1.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #822623, #823087)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Aug 2011 19:08:39 -0400

qapt (1.1.90-0ubuntu2) oneiric; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 14:28:53 +0200

qapt (1.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 24 Jul 2011 14:40:16 -0400

qapt (1.1.85-0ubuntu2) oneiric; urgency=low

  * Fix update-alternatives usage in gstreamer0.10-qapt (LP: #807483)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 14 Jul 2011 00:21:20 -0400

qapt (1.1.85-0ubuntu1) oneiric; urgency=low

  * New upstream beta release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 26 Jun 2011 11:30:57 -0400

qapt (1.1.80-0ubuntu2) oneiric; urgency=low

  * Build-depend on libqtgstreamer-dev instead of qtgstreamer-dev.
  * Increase priority for gstreamer-codec-install alternative to 85.
  * Enable parallel building.
  * Fix symbols file on amd64.
  * Move .mo files from qapt-batch to the respective packages.
  * Call dh_install with --fail-missing.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix lintian warning description-synopsis-starts-with-article.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 23 May 2011 19:33:00 +0200

qapt (1.1.80-0ubuntu1) oneiric; urgency=low

  * New upstream beta release:
    - Update various .install files
    - Update libqapt1.symbols
    - Add several new binary packages for new QApt utilities
    - Add a qapt-utils metapackage to install all QApt utilities
    - Add build-depend on qtgstreamer-dev for qapt-gstreamer-helper
    - Add a build-depend on libdebconf-kde-dev for qapt-deb-installer

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 16 Mar 2011 10:37:54 -0400

qapt (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream bugfix release:
    - Drop kubuntu_01_dont_close_stdout.diff, present upstream
  * Update Homepage field to the new projects.kde.org home page
  * Update the Source field in debian/copyright for the switch to the new KDE
    Git repository

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 16 Feb 2011 19:19:57 -0500

qapt (1.1.0-0ubuntu2) natty; urgency=low

  * Add kubuntu_01_dont_close_stdout.diff from upstream to fix the failure
    of postinst scripts needing stdout. (LP: #680328)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 26 Jan 2011 21:27:09 -0500

qapt (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Update libqapt1.symbols
  * Fix debian/copyright syntax
  * Update debian/copyright for new copyright holders

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 04 Jan 2011 16:40:10 -0500

qapt (1.0.95-0ubuntu1) natty; urgency=low

  * New upstream release candidate:
    - Update libqapt1.install
    - Update libqapt1.symbols
  * Port packaging to the debhelper 8 standard:
    - Bump compat to 8
    - Bump build-depend on debhelper to 8.0.0~
    - Place options after the dh sequence in debian/rules
  * Add a homepage field with the project homepage

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Dec 2010 21:26:41 -0500

qapt (1.0.90-0ubuntu1) natty; urgency=low

  * New upstream beta:
    - Update libqapt1.install
    - Update libqapt1.symbols for new symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 20 Dec 2010 12:17:39 -0500

qapt (1.0.80-0ubuntu2) natty; urgency=low

  * Rebuild for polkit-qt-1 ABI break

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 10 Dec 2010 13:16:42 -0500

qapt (1.0.80-0ubuntu1) natty; urgency=low

  * New upstream beta release:
    - Update various .install files
    - Update libqapt1.symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 05 Dec 2010 12:16:50 -0500

qapt (1.0.60-0ubuntu2) natty; urgency=low

  * Somehow the libqapt1.symbols changes didn't make it in to the last upload
    Reupload to fix FTBFS

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 04 Nov 2010 08:32:06 -0400

qapt (1.0.60-0ubuntu1) natty; urgency=low

  * New upstream release: (LP: #490353, #668297, #670294)
    - Bump build-depend version on libapt-pkg-dev to 0.8.0 or higher
    - Update libqapt1.symbols
  * Bump Standards-Version to 3.9.1, no changes

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Nov 2010 22:46:18 -0400

qapt (1.0.3-0ubuntu2) maverick; urgency=low

  * Fix libqapt1.symbols. Since we aren't building with fvisibility=hidden,
    dpkg-gensymbols is picking up some libapt-pkg symbols as libqapt's. And
    since libapt-pkg's symbols are different between i386 and amd64, FTBFS
    occurs on amd64. I've set these symbols to !amd64, but this isn't really
    a problem since they aren't our symbols.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Sep 2010 15:58:24 -0400

qapt (1.0.3-0ubuntu1) maverick; urgency=low

  * New upstream bugfix-only release, fixing a silent error when encountering
    total-system APT locks.
    (http://websvn.kde.org/?view=revision&revision=1180714)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Sep 2010 17:30:05 -0400

qapt (1.0.2-0ubuntu2) maverick; urgency=low

  * Re-add libqapt1.symbols, which was inadvertantly dropped last upload.
    I had forgotten to re-add it after I removed it for backporting to lucid.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 14 Sep 2010 08:41:29 -0400

qapt (1.0.2-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 13 Sep 2010 17:50:50 -0400

qapt (1.0.1-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 26 Aug 2010 12:26:49 -0400

qapt (1.0-0ubuntu2) maverick; urgency=low

  * Remove erroneous patches that arose due to source format 3.0 and me
    leaving files around
  * Remove some mysterious symbols from the symbols file that don't look like
    they belong to libqapt and cause FTBFS on amd64

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 12 Aug 2010 11:30:33 -0400

qapt (1.0-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Rename libqapt0 to libqapt1 for .so versioning bump
    - Replace appropriate depends with libqapt1 in debian/control
    - Update libqapt0.symbols for the bump, renaming it to libqapt1.symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 11 Aug 2010 10:23:53 -0400

qapt (0.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 04 Aug 2010 10:03:43 -0400

qapt (0.4.0-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Update libqapt0.symbols for a new function
  * Bump Standards-Version to 3.9.1, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 28 Jul 2010 09:12:16 -0400

qapt (0.3.0-0ubuntu2) maverick; urgency=low

  * Add a symbols file for libqapt0
  * Give libqapt-dev the section of libdevel
  * Bump Standards-Version to 3.9.0, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 23 Jul 2010 10:26:47 -0400

qapt (0.3.0-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 02 Jun 2010 14:47:35 -0500
